Bug 844149 - Faxing via logical ffgtk-fax printer broken in ffgtk-0.8.3 package
Faxing via logical ffgtk-fax printer broken in ffgtk-0.8.3 package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ffgtk (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Louis Lagendijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 08:28 EDT by Arne Ahrend
Modified: 2012-08-09 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:19:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arne Ahrend 2012-07-29 08:28:26 EDT
Description of problem:
The virtual ffgtk-fax printer fails to listen on port localhost:9901. After printing a document to the ffgtk-fax printer another dialogue should (but fails to) pop up and allow entering the destination fax number. Using telnet or nmap confirms that port 9901 is closed, however, CUPS states that ffgtk-fax is attached to socket://localhost:9901. With the port closed clearly no data can ever reach the ffgtk-fax printer and CUPS simply queues its print jobs and reports it as busy.

Version-Release number of selected component (if applicable):
0.8.3

How reproducible:
Likely requires a supported multi function router (e.g. AVM FritzBox or similar) for properly configuring the ffgtk package. Either upgrade from previous version or install from scratch (rename ~/.config/ffgtk) and configure router access and fax functionality. Print data to ffgtk-fax device (e.g. from LO or gedit), wait indefinitely for dialogue requesting target fax number.

Steps to Reproduce:
1. Attach supported multi function router (e.g. AVM FritzBox)
2. Install and configure ffgtk package, start ffgtk
3. Attempt to fax from LO or gedit, check port 9901
  
Actual results:
Second print dialogue (the one for the fax destination number) never appears. Port 9901 is actually closed, although CUPS reports the ffgtk-fax printer as attached to Connection:	socket://localhost:9901

Expected results:
The second print dialogue (the one for the destination fax number) should appear a short while after committing a print job to ffgtk-fax. Consistent with CUPS config of ffgtk-fax printer Connection:	socket://localhost:9901 the port shoul actually be verifiably open (use nmap or telnet to check this). 

Additional info:
Affects both F16 and F17. In either version downgrading to previous ffgtk package solves the issue (working versions are F16 - 0.7.94 and I believe for F17 - 0.8.1). On a working setup telnet'ing to port 9901 and closing the telnet session triggers the popup for entering the destination fax number. Probably netcat could be used for this as well (have not tried it, though).
Comment 1 Fedora Update System 2012-07-30 17:45:33 EDT
ffgtk-0.8.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ffgtk-0.8.3-2.fc16
Comment 2 Fedora Update System 2012-07-30 17:47:31 EDT
ffgtk-0.8.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ffgtk-0.8.3-2.fc17
Comment 3 Fedora Update System 2012-08-01 14:16:21 EDT
Package ffgtk-0.8.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ffgtk-0.8.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11351/ffgtk-0.8.3-2.fc16
then log in and leave karma (feedback).
Comment 4 Arne Ahrend 2012-08-02 16:32:41 EDT
Many thanks for fixing it so quickly. Version 0.8.3-2 works perfectly on both F16 and F17 for me. (I do not seem to have a login on bodhi, so no real karma yet.)
Comment 5 Fedora Update System 2012-08-09 19:19:55 EDT
ffgtk-0.8.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-08-09 19:20:45 EDT
ffgtk-0.8.3-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.